Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Add to a segment

POST/contacts/{id}/segments/{segmentId}
Authorization
AuthorizationBearer token · headerrequired

A BillionSend API key (bs_…).

Path parameters
idstringrequired
min length 1
segmentIdstring<uuid>required
Responses
200

Contact added to the segment

idstring<uuid>required
401

Missing, malformed, unknown or revoked API key

statusCodenumberrequired
namestringrequired
messagestringrequired
404

Not found

statusCodenumberrequired
namestringrequired
messagestringrequired
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumberrequired
namestringrequired
messagestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X POST 'https://api.billionsend.com/contacts/string/segments/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Was this page helpful?